%define module_name App-TextTableUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/IOD/INI/Reader.pm) perl(Config/IOD/Reader.pm) perl(Data/Check/Structure.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Text/ANSITable.pm) perl(Text/ASCIITable.pm) perl(Text/CSV.pm) perl(Text/MarkdownTable.pm) perl(Text/Table/Any.pm) perl(Text/Table/CSV.pm) perl(Text/Table/Org.pm) perl(Text/Table/TSV.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: CLI utilities related to text tables
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-TextTableUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distributions provides the following command-line utilities related to
text tables:

=over

=item * the csv2ansitable manpage

=item * the csv2asciitable manpage

=item * the csv2dd manpage

=item * the csv2json manpage

=item * the csv2mdtable manpage

=item * the csv2orgtable manpage

=item * the dd2ansitable manpage

=item * the dd2asciitable manpage

=item * the dd2csv manpage

=item * the dd2mdtable manpage

=item * the dd2orgtable manpage

=item * the json2ansitable manpage

=item * the json2asciitable manpage

=item * the json2csv manpage

=item * the json2mdtable manpage

=item * the json2orgtable manpage

=item * the texttableutils-convert manpage

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- updated by package builder

* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Wed Jan 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Mon Sep 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

